%define svn 0
%define baseversion 1.2.1
%define major 0

%if %svn
%define version %{baseversion}.svn%{svn}
%else
%define version %{baseversion}
%endif

# Define some specific macros
%define _aclocaldir %{_datadir}/aclocal
%define docdir %{_prefix}/doc/QuantLib-%{version}


Summary: The free/open-source library for quantitative finance
Name: quantlib
Version: %{version}
Release: %mkrel 5
License: BSD License
Group: System/Libraries
%if !%svn
Source0: http://prdownloads.sourceforge.net/quantlib/QuantLib-%{version}.tar.gz
%else
Source0: QuantLib-%{version}.tar.gz
%endif
Source1: get-quantlib-svn.sh
URL: http://quantlib.org/
BuildRequires: boost-devel >= 1.34.1
BuildRequires: doxygen >= 1.3, graphviz

%define libname %mklibname %{name} %major
%define libname_devel %mklibname -d %{name}

%description
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

%package -n %libname
Summary: Shared library for QuantLib
Group: System/Libraries
Obsoletes: %{_lib}quantlib1 < 1.2.1-3
Provides: quantlib = %{version}

%description -n %libname
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

Install %{libname} if you are going are using shared libraries with
QuantLib.

%package -n %libname_devel
Summary: The header files and the static library
Group: Development/C
Requires: %libname = %{version}
Provides: quantlib-devel = %{version}


%description -n %libname_devel
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

Install %{libname_devel} if you are going to develop programs which
will use the QuantLib C++ libraries.

%package test-suite
Summary: The test-suite to check the setup of quantlib installation
Group: System/Libraries

%description test-suite
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

The QuantLib-test-suite will validate the compiled code against
pre-constructed test cases, and helps in validating the library.

%prep
%setup -q -n QuantLib-%{baseversion}
%apply_patches

%build
./autogen.sh
%configure2_5x --disable-static --prefix=%{_prefix}
%make
# make documentations
cd Docs
%make docs-all

%install
%makeinstall_std

# install the documentation
mkdir -p %{buildroot}%{docdir}
mkdir -p %{buildroot}%{_mandir}
cp -p Authors.txt LICENSE.TXT ChangeLog.txt Readme.txt %{buildroot}%{docdir}
cp -p Contributors.txt %{buildroot}%{docdir}
cp -p News.txt  %{buildroot}%{docdir}
cp -pr Examples %{buildroot}%{docdir}
cp -pr Docs/html %{buildroot}%{docdir}
rm -f %{buildroot}%{docdir}/html/*.dot
cp -pr Docs/man/man3 %{buildroot}%{_mandir}/
rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %libname_devel
%{_includedir}/ql/
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_bindir}/quantlib-config
%{_mandir}/man1/quantlib-config.1.*
%{_mandir}/man3/*
%doc %{docdir}


%files test-suite
%{_mandir}/man1/quantlib-test-suite.1.*
%{_bindir}/quantlib-test-suite


%changelog

* Thu Apr 11 2013 neoclust <neoclust> 1.2.1-5.mga3
+ Revision: 409776
- Rebuild against new boost

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-4.mga3
+ Revision: 380095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.2.1-3.mga3
+ Revision: 333277
- correct libname

* Thu Dec 20 2012 fwang <fwang> 1.2.1-2.mga3
+ Revision: 333092
- rebuild for new boost

* Thu Dec 13 2012 neoclust <neoclust> 1.2.1-1.mga3
+ Revision: 330328
- Remove requires in lib in test-suite ( already done by rpm )
  Use rpm macros
  Fix file list

  + joequant <joequant>
    - more spec cleanups
    - Update to 1.2.1
      Remove unnecessary build and build-requires
    - lower case quantlib
      remove unneeded spec commands
    - make quantlib lowercase to conform to naming conventions
    - imported package QuantLib

